# Source code for azure.mgmt.web.models.auto_heal_rules

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class AutoHealRules(Model):
        """AutoHealRules - describes the rules which can be defined for auto-heal.

        :param triggers: Triggers - Conditions that describe when to execute the
         auto-heal actions
        :type triggers: :class:`AutoHealTriggers
         <azure.mgmt.web.models.AutoHealTriggers>`
        :param actions: Actions - Actions to be executed when a rule is triggered
        :type actions: :class:`AutoHealActions
         <azure.mgmt.web.models.AutoHealActions>`
        """

        _attribute_map = {
            'triggers': {'key': 'triggers', 'type': 'AutoHealTriggers'},
            'actions': {'key': 'actions', 'type': 'AutoHealActions'},
        }

        def __init__(self, triggers=None, actions=None):
            self.triggers = triggers
            self.actions = actions